variables:
  SAST_REPORT_URL: "https://gitlab.com/gitlab-org/security-products/analyzers/gosec/-/raw/master/qa/expect/$CI_PROJECT_NAME/gl-sast-report.json"
  DS_REPORT_URL: "https://gitlab.com/gitlab-org/security-products/analyzers/gemnasium/-/raw/master/qa/expect/$CI_PROJECT_NAME/gomod/default/gl-dependency-scanning-report.json"

stages:
  - test
  - qa

include:
  # Security Products features
  - remote: https://gitlab.com/gitlab-org/gitlab/-/raw/9afa78ffc5d4fca84bfc4394c7518448eb294040/lib/gitlab/ci/templates/Jobs/SAST.gitlab-ci.yml
  - template: Dependency-Scanning.gitlab-ci.yml

  # Security Products features QA
  - https://gitlab.com/gitlab-org/security-products/ci-templates/raw/master/includes-dev/qa-sast.yml
  - https://gitlab.com/gitlab-org/security-products/ci-templates/raw/master/includes-dev/qa-dependency_scanning.yml

gosec-sast:
  variables:
    SAST_EXCLUDED_PATHS: "" # TEMP: until https://gitlab.com/gitlab-org/gitlab/-/issues/223283

qa-gosec-sast:
  extends: .qa-sast
  needs: ["gosec-sast"]
